Bug 963088 - glustershd, nfs and fuse clients are continuously filled with readv on xyz failed logs.
glustershd, nfs and fuse clients are continuously filled with readv on xyz fa...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
mainline
x86_64 Unspecified
medium Severity high
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On: 959201
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-15 02:40 EDT by Pranith Kumar K
Modified: 2013-07-24 13:48 EDT (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 959201
Environment:
Last Closed: 2013-07-24 13:48:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Anand Avati 2013-05-15 02:42:02 EDT
REVIEW: http://review.gluster.org/5008 (socket: Prevent extra logging in socket_rwv) posted (#1) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 2 Anand Avati 2013-05-15 04:43:02 EDT
REVIEW: http://review.gluster.org/5008 (socket: Prevent extra logging in socket_rwv) posted (#2) for review on master by Pranith Kumar Karampuri (pkarampu@redhat.com)
Comment 3 Anand Avati 2013-05-31 14:22:57 EDT
COMMIT: http://review.gluster.org/5008 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 9e974f9311869fb317c9c691ed09e7dd18047248
Author: Pranith Kumar K <pkarampu@redhat.com>
Date:   Wed May 15 12:09:28 2013 +0530

    socket: Prevent extra logging in socket_rwv
    
    Problem:
    If the socket is not even connected socket_rwv fails
    and the error log comes every 3 seconds for every
    re-connect.
    
    Fix:
    Prevent this error log if the socket is not even
    connected.
    
    Change-Id: I963f1345c4b6779dd5491948f7f5c4357a507b67
    BUG: 963088
    Signed-off-by: Pranith Kumar K <pkarampu@redhat.com>
    Reviewed-on: http://review.gluster.org/5008
    Reviewed-by: Amar Tumballi <amarts@redhat.com>
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.